Bug 12464 (KERNEL5) - Upgrade Kernel to 5.x
Summary: Upgrade Kernel to 5.x
Status: NEW
Alias: KERNEL5
Product: IPFire
Classification: Unclassified
Component: --- (show other bugs)
Version: 2
Hardware: unspecified Unspecified
: Will affect all users - Unknown -
Assignee: Arne.F
QA Contact:
URL:
Keywords: RelEng
Depends on: 12490 12505
Blocks: 12465
  Show dependency treegraph
 
Reported: 2020-08-04 08:44 UTC by Michael Tremer
Modified: 2020-10-19 15:21 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Tremer 2020-08-04 08:44:26 UTC
This is an umbrella ticket for everything around upgrading the IPFire kernel.

We are targeting for 5.9 which is most likely a LTS release again.

The steps to achieve this are:

* Rebase patchset on 5.9-rc1
* Walk through the configuration to enable all required features
* Walk through the configuration to disable everything that we do not need (e.g. FireWire, PATA, etc.)
* Walk through the configuration and improve the security of this kernel